> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/classic-tokenization/use-cases/card-enrolment/generic-enrollment-flow/step-5-activate-the-token/option-c-activate-in-the-issuer-application.md).

# Option C – activate in the issuer application

Use this option to complete ID\&V in the issuer application. The wallet application redirects the end user to the issuer application. After successful authentication, the issuer backend resumes token activation.

### Flow

{% stepper %}
{% step %}

### 1. Return the issuer application ID\&V method

In your `requestCardDigitization` response, return an `idvMethod` with `type=bank_app`. Return the related `id` and `value` fields.

See `requestCardDigitization` in the [API reference](/classic-tokenization/api-reference/issuer-gateway-api/outbound-to-issuer.md).
{% endstep %}

{% step %}

### 2. Redirect to the issuer application

Support redirection between the wallet application and the issuer application. This lets the wallet application continue the flow after the end user selects this method.

See [Issuer application integration with the wallet](/classic-tokenization/use-cases/card-enrolment/generic-enrollment-flow/step-5-activate-the-token/option-c-activate-in-the-issuer-application/integrate-issuer-application-with-wallet.md).
{% endstep %}

{% step %}

### 3. Resume token activation

After the end user completes authentication, call `updateCardState` with `action=RESUME`.

See `updateCardState` in the [API reference](/classic-tokenization/api-reference/issuer-gateway-api/inbound-from-issuer.md).
{% endstep %}
{% endstepper %}

Not all xPay Wallets support issuer application ID\&V. Confirm support with your xPay Wallet contact before implementing.

### Visa Token Service (VTS)

Visa Token Service (VTS) requires two additional fields for issuer application ID\&V. Return these fields in the `idvMethod` you provide in `requestCardDigitization`.

* `source`: Represents the issuer application that provided the "authentication proof" to the wallet application in an app-to-app flow.
  * Apple Pay: Apple Adam ID of the issuer application
  * Google Pay and Samsung Pay: Android package name of the issuer application
* `platform`: Represents the platform where the issuer application runs. Use one of: `IOS`, `ANDROID`, `WEB`.

### Mastercard Digital Enablement Service (MDES)

`source` and `platform` do not apply to MDES. Configure MDES to support issuer application ID\&V.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/classic-tokenization/use-cases/card-enrolment/generic-enrollment-flow/step-5-activate-the-token/option-c-activate-in-the-issuer-application.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
